Subject: IAB Seeks Feedback on Independent Submissions Editor

From: IAB Executive Administrative Manager <[email-masked]>
Date: Tue, 10 Sep 2019 12:18:04 -0700

As part of its oversight responsibility for the Independent Stream, the 
IAB is soliciting comments from the community on the performance of the 
Independent Submissions Editor, Adrian Farrel. The IAB is interested in 
comments on the last two years of operation of the Independent Stream 
and Adrian's activities as ISE.

Please send comments to [email-masked]. In addition, please CC 
[email-masked].

The IAB would appreciate receiving comments by Tuesday, 2019-10-08.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager